View Issue Details

IDProjectCategoryView StatusLast Update
0000127ascendcompilerpublic2008-02-10 13:04
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000127: Set bintoken.c to write ANSI-C
DescriptionNot sure why, but bintoken outputs Kerniighan & Ritchie style C-code. It's a minor tweak to change over to ANSI-C in the interests of standards.

I found some other K&R C-code in ASCEND as well, for example in the 'Solve' function.

JP
TagsNo tags attached.

Relationships

related to 0000068 closedjohn Autogenerated C code fails to compile, problems with btprolog.h ? 
related to 0000129 assignedjohn bintoken BinTokensCreate returns no status code 

Activities

john

2005-12-20 00:42

administrator   ~0000100

This is fixed, changed the function declarations and indenting.

john

2005-12-20 05:08

administrator   ~0000105

Ben writes:

We had a requirement to deal with non-ansi compilers for most of the
CMU-active life of ascend. I suspect by now even the troglodytes have upgraded
to at least c89, so we can drop that requirement and ansi-fy as convenient.

Issue History

Date Modified Username Field Change
2005-11-05 09:25 john New Issue
2005-11-08 12:21 john Relationship added related to 0000129
2005-11-15 04:14 john Relationship added related to 0000068
2005-11-30 09:33 john Status new => assigned
2005-11-30 09:33 john Assigned To => john
2005-12-20 00:42 john Status assigned => resolved
2005-12-20 00:42 john Resolution open => fixed
2005-12-20 00:42 john Note Added: 0000100
2005-12-20 05:08 john Note Added: 0000105
2006-02-07 13:19 john Target release => 1.0
2008-02-10 13:04 john Status resolved => closed